# Generated from railslts-version-3.2.22.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name railslts-version

Name: rubygem-%{gem_name}
Version: 3.2.22.2
Release: 1%{?dist}
Summary: Gem to track your current Rails LTS version
License: MIT
URL: https://railslts.com/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Note that this gem will neither install nor upgrade Rails LTS for you. Visit
https://railslts.com/ to find out more about Rails LTS.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/railslts-version.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 3.2.22.2-1
- Initial package
